OptFEM3DP1 Toolbox: runBenchs.m File Reference

| OptFEM3DP1 Toolbox 20130614_170440 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
runBenchs.m File Reference

Run 3D benchs for Mass (benchMass3DP1), Stiff (benchStiff3DP1), MassVF (benchMassVF3DP1)and StiffElas (benchStiffElas3DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`. More...

Go to the source code of this file.

## Functions
function | runBenchs (varargin)
| Run 3D benchs for Mass (benchMass3DP1), Stiff (benchStiff3DP1), MassVF (benchMassVF3DP1)and StiffElas (benchStiffElas3DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.
function | runBenchs>BenchToLatexTabular (bench, LaTeXFilename)

## Detailed Description

Run 3D benchs for Mass (benchMass3DP1), Stiff (benchStiff3DP1), MassVF (benchMassVF3DP1)and StiffElas (benchStiffElas3DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Definition in file runBenchs.m.

## Function Documentation

function runBenchs>BenchToLatexTabular | ( |  | bench,
|  |  | LaTeXFilename
| ) |  |

Definition at line 136 of file runBenchs.m.

function runBenchs | ( |  | varargin | ) |

Run 3D benchs for Mass (benchMass3DP1), Stiff (benchStiff3DP1), MassVF (benchMassVF3DP1)and StiffElas (benchStiffElas3DP1) matrices. For each assembly matrix, we compare computation times of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Optional parameters
  - `save` : true for saving each bench in latex files. (default false)
  - `directory` : name of the directory for saving files.
  - `name` : base name of files.
  - `LN` : List of N parameters for CubeMesh function.

Example

           runBenchs('save',true,'name','benchMatlabR2012b','LN',5:3:20)

Results under Matlab R2012b
  Here are the results on our reference machine.
  - functions MassAssembling3DP1

  - functions StiffAssembling3DP1

  - functions StiffElasAssembling3DP1

  - functions MassVFAssembling3DP1

Results under Octave 3.6.3
  Here are the results on our reference machine.
  - functions MassAssembling3DP1

  - functions StiffAssembling3DP1

  - functions StiffElasAssembling3DP1

  - functions MassVFAssembling3DP1

See Also
  benchMass3DP1, benchStiff3DP1, benchStiffElas3DP1, benchMassVF3DP1, InitOptFEM3D

Copyright
  See License issues

Parameters

  varargin | runBenchs ( [ "save", save_value ] [, "directory", directory_value ] [, "name", name_value ] [, "LN", LN_value ] ) Named Parameters for varargin: save save ( Default: `false` ) directory directory ( Default: ``latex`` ) name name ( Default: ``bench`` ) LN LN ( Default: `[5:2:11]` )

Definition at line 17 of file runBenchs.m.